package com.heyu.api.data.service.impl.operation;
/**
* <p>
* 场景下的条件下的具体动作 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.operation.OperatinActionDao;
import com.heyu.api.data.entity.operation.OperatinActionEntity;
import com.heyu.api.data.service.operation.OperatinActionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class OperatinActionServiceImpl extends ServiceImpl<OperatinActionDao, OperatinActionEntity> implements OperatinActionService {


    @Autowired
	private OperatinActionDao operatinActionDao;



	@Override
	public OperatinActionEntity selectOperatinActionById(Long id){
		return operatinActionDao.selectOperatinActionById(id);
	}



	@Override
	public Long insertOperatinAction(OperatinActionEntity operatinAction){
		return operatinActionDao.insertOperatinAction(operatinAction);
	}



	@Override
	public Long insertOrUpdateOperatinAction(OperatinActionEntity operatinAction){
		return operatinActionDao.insertOrUpdateOperatinAction(operatinAction);
	}



	@Override
	public int updateOperatinActionById(OperatinActionEntity operatinAction){
		return operatinActionDao.updateOperatinActionById(operatinAction);
	}



	@Override
	public int updateCoverOperatinActionById(OperatinActionEntity operatinAction){
		return operatinActionDao.updateCoverOperatinActionById(operatinAction);
	}



	@Override
	public int deleteOperatinActionById(Long id){
		return operatinActionDao.deleteOperatinActionById(id);
	}



}
